--[[
This is the array containing the data: 

1 - Zone:- Zone you are in, nil  means it doesn't matter 
2 - SubZone:- Subzone you are in, nil  means it doesn't matter 
3 - Amount:- Number of the items needed
4 - Item:- Item number to search for in bags and equipped
5 - Target:- NPC that should be targeted
6 - Aim:- Whether to target the NPC if not already
	1 - Target
	2 - Only if living
7 - Quest:- Only use the item if quest is active and not completed (completed if neg)

The further down the list the higher the priority (by overwriting previous ones)
--]]

function DailyItem_MakeArray()

DailyItem_Quests = {};

-- Default
DailyItem_AddArrayLine(nil,nil,1,110560,nil,0,nil);																-- Garrison Hearthstone ()
DailyItem_AddArrayLine(nil,nil,1,140192,nil,0,nil);																-- Dalaran Hearthstone ()
DailyItem_AddArrayLine(nil,nil,1,6948,nil,0,nil);																-- Hearthstone ()

DailyItem_AddArrayLine("Molten Front",nil,1,70925,nil,0,nil);													-- Eternal Lunar Pear (Agility)
DailyItem_AddArrayLine("Molten Front",nil,1,70924,nil,0,nil);													-- Eternal Eye of Elune (Intellect)
DailyItem_AddArrayLine("Molten Front",nil,1,70926,nil,0,nil);													-- Eternal Moonberry (Spirit)
DailyItem_AddArrayLine("Molten Front",nil,1,70927,nil,0,nil);													-- Eternal Sunfruit (Strength)
DailyItem_AddArrayLine(nil,nil,1,32971,nil,0,nil);																-- Water Bucket()

-- Argus Dailies
DailyItem_AddArrayLine("Antoran Wastes","Terminus",1,152657,"Immortal Squadron Fighter",1,nil);					-- Target Designator (The Immortal Squadron)
DailyItem_AddArrayLine("Mac'Aree","Conservatory of the Arcane",1,153249,"Resonating Augari Novitiate",1,nil);	-- Y'mera's Attuning Crystal (Peer Review)
DailyItem_AddArrayLine("Mac'Aree","Wakener's Enclave",1,153249,"Resonating Augari Summoner",1,nil);				-- Y'mera's Attuning Crystal (Peer Review)

-- Nightfallen Dailies
DailyItem_AddArrayLine("Suramar","Falanaar Tunnels",1,140916,nil,0,42090);										-- Satchel of Locklimb Powder (Skittering Subjects)
DailyItem_AddArrayLine("Suramar","Felsoul Hold",1,142509,nil,0,44816);											-- Withered Targeting Orb (Continued Exposure)

-- Legion Fishing
DailyItem_AddArrayLine("Dalaran","Margoss's Retreat",1,141975,nil,0,nil);										-- Mark of Aquaos (N/A)

-- Pandaland farming
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95449,"Tilled Soil",0,nil);--Bag of Enigma Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80809,"Tilled Soil",0,nil);--Bag of Green Cabbage Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89848,"Tilled Soil",0,nil);--Bag of Jade Squash Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,84782,"Tilled Soil",0,nil);--Bag of Juicycrunch Carrot Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95451,"Tilled Soil",0,nil);--Bag of Magebulb Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85153,"Tilled Soil",0,nil);--Bag of Mogu Pumpkin Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85162,"Tilled Soil",0,nil);--Bag of Pink Turnip Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95457,"Tilled Soil",0,nil);--Bag of Raptorleaf Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85158,"Tilled Soil",0,nil);--Bag of Red Blossom Leek Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,84783,"Tilled Soil",0,nil);--Bag of Scallion Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95447,"Tilled Soil",0,nil);--Bag of Snakeroot Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95445,"Tilled Soil",0,nil);--Bag of Songbell Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89849,"Tilled Soil",0,nil);--Bag of Striped Melon Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85163,"Tilled Soil",0,nil);--Bag of White Turnip Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95454,"Tilled Soil",0,nil);--Bag of Windshear Cactus Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89847,"Tilled Soil",0,nil);--Bag of Witchberry Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85267,"Tilled Soil",0,nil);--Autumn Blossom Sapling()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85268,"Tilled Soil",0,nil);--Spring Blossom Sapling()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85269,"Tilled Soil",0,nil);--Winter Blossom Sapling()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85216,"Tilled Soil",0,nil);--Enigma Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,79102,"Tilled Soil",0,nil);--Green Cabbage Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89328,"Tilled Soil",0,nil);--Jade Squash Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80590,"Tilled Soil",0,nil);--Juicycrunch Carrot Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85217,"Tilled Soil",0,nil);--Magebulb Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80592,"Tilled Soil",0,nil);--Mogu Pumpkin Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80594,"Tilled Soil",0,nil);--Pink Turnip Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89202,"Tilled Soil",0,nil);--Raptorleaf Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80593,"Tilled Soil",0,nil);--Red Blossom Leek Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80591,"Tilled Soil",0,nil);--Scallion Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85215,"Tilled Soil",0,nil);--Snakeroot Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89233,"Tilled Soil",0,nil);--Songbell Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89329,"Tilled Soil",0,nil);--Striped Melon Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80595,"Tilled Soil",0,nil);--White Turnip Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89197,"Tilled Soil",0,nil);--Windshear Cactus Seed()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89326,"Tilled Soil",0,nil);--Witchberry Seeds()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,79104,"Parched *",0,nil);--Rusty Watering Can()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80513,"Infested *",0,nil);--Vintage Bug Sprayer()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89880,"Growing *",0,nil);--Dented Shovel()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89815,"Untilled Soil",0,nil);--Master Plough()

-- Fishing Dailies
--DailyItem_AddArrayLine("Krasarang Wilds","Sarjun Depths",1,80403,nil,0,30658);--Angler's Fishing Spear(Huff & Puff)
DailyItem_AddArrayLine("Krasarang Wilds","Sarjun Depths",1,80403,nil,0,nil);--Angler's Fishing Spear(Huff & Puff)
DailyItem_AddArrayLine("Krasarang Wilds","",1,80403,nil,0,nil);--Angler's Fishing Spear(Huff & Puff)

-- Foam Sword for funzies
DailyItem_AddArrayLine(nil,nil,1,45061,nil,0,nil);--Foam Sword()
DailyItem_AddArrayLine(nil,nil,1,45176,nil,0,nil);--Foam Sword()
DailyItem_AddArrayLine(nil,nil,1,45177,nil,0,nil);--Foam Sword()
DailyItem_AddArrayLine(nil,nil,1,45178,nil,0,nil);--Foam Sword()
DailyItem_AddArrayLine(nil,nil,1,45179,nil,0,nil);--Foam Sword()
DailyItem_AddArrayLine("Grizzly Hills","Blue Sky Logging Grounds",1,37576,"Wounded Westfall Infantry",1,12296); --Renewing Bandage(Life or Death)

-- Rewards or other items you should just use whenever you have them.

DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,nil);--Lovely Charm (A Gift for the)
DailyItem_AddArrayLine(nil,nil,1,20393,nil,0,nil);--Treat Bag (Hallows' End Reward)
DailyItem_AddArrayLine(nil,nil,1,44113,nil,0,nil);--Small Spice Bag (Cooking Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,34077,nil,0,nil);--Crudely Wrapped Gift (Hallows' End Reward)
DailyItem_AddArrayLine(nil,nil,1,37586,nil,0,nil);--Handful of Candy (Hallows' End Reward)
DailyItem_AddArrayLine(nil,nil,1,45724,nil,0,nil);--Champion's Purse (Argent Tournament Reward)
DailyItem_AddArrayLine(nil,nil,1,46007,nil,0,nil);--Bag of Fishing Treasures (Fishing Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,52006,nil,0,nil);--Sack of Frosty Treasures (ICC Random Quest Reward)
DailyItem_AddArrayLine(nil,nil,1,52676,nil,0,nil);--Cache of the Ley-Guardian (Oculus Random Heroic Reward)
DailyItem_AddArrayLine(nil,nil,1,54516,nil,0,nil);--Loot-Filled Pumpkin (Hallows' End Reward)
DailyItem_AddArrayLine(nil,nil,1,67414,nil,0,nil);--Bag of Shiny Things (Fishing Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,94159,nil,0,nil);--Small Bag of Zandalari Supplies (Pandarian Mob Drop)

DailyItem_AddArrayLine(nil,nil,1,46004,nil,0,-13845);--Sealed Vial of Poison(Fishing Daily)
DailyItem_AddArrayLine(nil,nil,1,48679,nil,0,-14203);--Waterlogged Recipe(Fishing Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,49667,nil,0,-24431);--Waterlogged Recipe(Fishing Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,49676,nil,0,-24442);--Kvaldir Attack Plans(Argent Drop Quest)

DailyItem_AddArrayLine(nil,nil,1,33306,nil,0,nil);--Ram Racing Reins()
DailyItem_AddArrayLine(nil,nil,1,32971,nil,0,12135);--Water Bucket(Let the Fires Come!)
DailyItem_AddArrayLine(nil,nil,1,32971,nil,0,12139);--Water Bucket(Let the Fires Come!)
DailyItem_AddArrayLine(nil,nil,1,41989,nil,0,12958);--Vrykul Amulet(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42104,nil,0,12959);--Northern Ivory(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42105,nil,0,12960);--Iron Dwarf Brooch(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42106,nil,0,12961);--Proto Dragon Bone(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42107,nil,0,12962);--Elemental Armor Scrap(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42108,nil,0,12963);--Scourge Curio(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,43101,nil,0,13100);--Meatloaf Pan(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43101,nil,0,13112);--Meatloaf Pan(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43139,nil,0,13103);--Empty Cheese Serving Platter(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43139,nil,0,13115);--Empty Cheese Serving Platter(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43142,nil,0,13107);--Empty Picnic Basket(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43142,nil,0,13116);--Empty Picnic Basket(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43147,nil,0,13102);--Stew Cookpot(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43147,nil,0,13114);--Stew Cookpot(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,45328,nil,0,13836);--Bloated Slippery Eel(Fishing Daily)

DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24613);--Lovely Charm(A Gift for the Banshee Queen)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24614);--Lovely Charm(A Gift for the High Chieftain)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24610);--Lovely Charm(A Gift for the High Priestess of Elune)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24597);--Lovely Charm(A Gift for the King of Stormwind)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24609);--Lovely Charm(A Gift for the Lord of Ironforge)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24611);--Lovely Charm(A Gift for the Prophet)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24615);--Lovely Charm(A Gift for the Regent Lord of Quel'Thalas)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24612);--Lovely Charm(A Gift for the Warchief)
DailyItem_AddArrayLine("Orgrimmar",nil,1,50131,nil,0,24536);--Snagglebolt's Air Analyzer(Something Stinks)
DailyItem_AddArrayLine("Stormwind City",nil,1,50131,nil,0,24655);--Snagglebolt's Air Analyzer(Something Stinks)
DailyItem_AddArrayLine(nil,nil,1,49668,nil,0,24629);--Crown Perfume Sprayer(A Perfect Puff of Perfume)
DailyItem_AddArrayLine(nil,nil,1,49669,nil,0,24635);--Crown Cologne Sprayer(A Cloudlet of Classy Cologne)
DailyItem_AddArrayLine(nil,nil,1,49670,nil,0,24636);--Crown Chocolate Sampler(Bonbon Blitz)

DailyItem_AddArrayLine(nil,nil,1,52507,nil,0,25157);--Stardust No. 2(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,52507,nil,0,25159);--Stardust No. 2(Jewelcrafting Daily)
DailyItem_AddArrayLine("The Jade Forest","The Arboretum",5,"Fish Cake","Cooking",16,30149);--Make these(A Feast for the Senses)
DailyItem_AddArrayLine("Orgrimmar",nil,3,"Solid Zephyrite","Jewelcrafting",16,25158);--Make these(Nibbler, No!)
DailyItem_AddArrayLine("Stormwind City",nil,3,"Solid Zephyrite","Jewelcrafting",16,25105);--Make these(Nibbler, No!)
DailyItem_AddArrayLine("Orgrimmar",nil,3,"Jagged Jasper","Jewelcrafting",16,25161);--Make these(Ogrezonians in the Mood)
DailyItem_AddArrayLine("Stormwind City",nil,3,"Jagged Jasper","Jewelcrafting",16,25155);--Make these(Ogrezonians in the Mood)
DailyItem_AddArrayLine("Stormwind City",nil,3,"Timeless Nightstone","Jewelcrafting",16,25154);--Make these(A present for Lila)
DailyItem_AddArrayLine("Orgrimmar",nil,3,"Timeless Nightstone","Jewelcrafting",16,25160);--Make these(A present for Lila)
DailyItem_AddArrayLine(nil,nil,1,58856,nil,0,nil);--Royal Monkfish(Big Gulp)

-- Quests to target an NPC that don't require an item

DailyItem_AddArrayLine("Orgrimmar",nil,0,nil,"Muddy Crawfish",2,26226);--Muddy Crawfish(Crawfish Creole)
DailyItem_AddArrayLine("Stormwind City",nil,0,nil,"Canal Crab",2,26177);--Canal Crab(Feeling Crabby?)
DailyItem_AddArrayLine("Uldum",nil,0,nil,"Weathered Nomad",2,-28736);--Fire From the Sky()

-- Quests with items in specific zones
DailyItem_AddArrayLine("Terokkar Forest","Skettis",1,32406,nil,0,11008);--Sky Guard Blasting Charges(Fires Over Skettis)
DailyItem_AddArrayLine("Terokkar Forest","Veil Harr'ik",1,32406,nil,0,11008);--Sky Guard Blasting Charges(Fires Over Skettis)

DailyItem_AddArrayLine("Borean Tundra","Coldarra",1,35506,"Nexus Drake Hatchling",1,11919);--Raelorasz's Spear(Drake Hunt)
DailyItem_AddArrayLine("Borean Tundra","Coldarra",1,35506,"Nexus Drake Hatchling",1,11940);--Raelorasz's Spear(Drake Hunt)
DailyItem_AddArrayLine("Borean Tundra","The Nexus",1,35506,"Nexus Drake Hatchling",1,11919);--Raelorasz's Spear(Drake Hunt)
DailyItem_AddArrayLine("Borean Tundra","The Nexus",1,35506,"Nexus Drake Hatchling",1,11940);--Raelorasz's Spear(Drake Hunt)
DailyItem_AddArrayLine("Deepholm","Crumbling Depths",1,65514,nil,0,27048);--Ricket's Tickers(Underground Economy)
DailyItem_AddArrayLine("Deepholm","The Pale Roost",1,60266,nil,0,26659);--Stonework Mallet(Resonating Blow)
DailyItem_AddArrayLine("Deepholm","The Pale Roost",1,60266,nil,0,28391);--Stonework Mallet(The Restless Brood)
DailyItem_AddArrayLine("Dragonblight","Drak'Mar Lake",1,45000,nil,0,13669);--Winter Hyacinth(A Worthy Weapon)
DailyItem_AddArrayLine("Dragonblight","Drak'Mar Lake",1,45000,nil,0,13674);--Winter Hyacinth(A Worthy Weapon)
DailyItem_AddArrayLine("Durotar","",1,33096,nil,0,nil);--Complimentary Brewfest Sampler()
DailyItem_AddArrayLine("Durotar","Thunder Ridge",1,58955,nil,0,26572);--Razgar's Fillet Knife(A Golden Opportunity)
DailyItem_AddArrayLine("Durotar","Thunder Ridge",1,58958,nil,0,26572);--Drowned Thunder Lizard Tail(A Golden Opportunity)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13603);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13603);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13666);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13666);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13741);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13741);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13746);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13746);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13752);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13752);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13757);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13757);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13673);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13673);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13762);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13762);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13768);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13768);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13773);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13773);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13778);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13778);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","",1,44986,nil,0,13783);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake",1,44986,nil,0,13783);--Warts-B-Gone Lip Balm(A Blade Fit For A Champion)
DailyItem_AddArrayLine("Hillsbrad Foothills","Southshore",1,20387,nil,0,nil);--Forsaken Stink Bomb Cluster(Hallow's End)
DailyItem_AddArrayLine("Howling Fjord","",1,40946,nil,0,11472);--Anuniaq's Net(The Way to His Heart...)
DailyItem_AddArrayLine("Howling Fjord","Twin Shores",1,34127,nil,0,11472);--Tasty Reef Fish(The Way to His Heart...)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13616);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13670);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13675);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13743);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13748);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13754);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13759);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13764);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13770);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13775);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13780);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13785);--Everburning Ember(The Edge Of Winter)
DailyItem_AddArrayLine("Hrothgar's Landing","",1,46870,nil,0,14077);--Confessor's Prayer Book(The Light's Mercy)
DailyItem_AddArrayLine("Hrothgar's Landing","The Sea Reaver's Run",1,46954,nil,0,14077);--Confessor's Prayer Book(The Light's Mercy)
DailyItem_AddArrayLine("Hrothgar's Landing","",1,46870,nil,0,14144);--Confessor's Prayer Book(The Light's Mercy)
DailyItem_AddArrayLine("Hrothgar's Landing","The Sea Reaver's Run",1,46954,nil,0,14144);--Confessor's Prayer Book(The Light's Mercy)
DailyItem_AddArrayLine("Icecrown",nil,1,46069,nil,0,nil);--Alliance Lance(Argent Tournament)
DailyItem_AddArrayLine("Icecrown",nil,1,46070,nil,0,nil);--Horde Lance(Argent Tournament)
DailyItem_AddArrayLine("Icecrown",nil,1,46106,nil,0,nil);--Argent Lance(Argent Tournament)
DailyItem_AddArrayLine("Icecrown","Njorndar Village",1,42480,nil,0,12995);--Ebon Blade Banner(Leave Our Mark)
DailyItem_AddArrayLine("Icecrown","Jotunheim",1,42480,nil,0,12995);--Ebon Blade Banner(Leave Our Mark)
DailyItem_AddArrayLine("Icecrown","Valhalas",1,42480,nil,0,12995);--Ebon Blade Banner(Leave Our Mark)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44009,nil,0,13295);--Flesh Giant Spine(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44010,nil,0,13295);--Pustulant Spinal Fluid(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44009,nil,0,13279);--Flesh Giant Spine(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44010,nil,0,13279);--Pustulant Spinal Fluid(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44009,nil,0,13281);--Flesh Giant Spine(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44010,nil,0,13281);--Pustulant Spinal Fluid(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44009,nil,0,13297);--Flesh Giant Spine(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44010,nil,0,13297);--Pustulant Spinal Fluid(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43968,nil,0,13288);--Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43968,nil,0,13289);--Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43968,nil,0,13264);--Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43968,nil,0,13276);--Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43608,nil,0,13261);--Copperclaw's Volatile Oil(Volatility)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43608,nil,0,13239);--Copperclaw's Volatile Oil(Volatility)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44476,nil,0,13346);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44480,nil,0,13346);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44476,nil,0,13350);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44480,nil,0,13350);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44476,nil,0,13367);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44480,nil,0,13367);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44476,nil,0,13368);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44480,nil,0,13368);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13321);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13322);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13356);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13357);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44246,"Dark Subjugator",0,13352);--Orb of Illusion(Drag and Drop)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44433,"Enslaved Minion",0,13342);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44433,"Enslaved Minion",0,13344);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44433,"Enslaved Minion",0,13358);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44433,"Enslaved Minion",0,13365);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44307,nil,0,13321);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44307,nil,0,13322);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44307,nil,0,13356);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44307,nil,0,13357);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44301,nil,0,13321);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44301,nil,0,13322);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44301,nil,0,13356);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44301,nil,0,13357);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","The Valley of Fallen Heroes",1,44212,"Skybreaker Recon Fighter",1,13313);--SGM-3()
DailyItem_AddArrayLine("Icecrown","The Valley of Fallen Heroes",1,44212,"Skybreaker Recon Fighter",1,13331);--SGM-3()
DailyItem_AddArrayLine("Icecrown","The Valley of Fallen Heroes",1,47033,"Fallen Hero's Spirit",0,14107);--Light-Blessed Relic(The Fate Of The Fallen)
DailyItem_AddArrayLine("Icecrown","",1,47036,nil,0,nil);--Fresh Chum(Argent Tournament)
DailyItem_AddArrayLine("Isle of Quel'Danas","",1,34489,nil,0,11542);--Flaming Oil(Intercept the Reinforcements)
DailyItem_AddArrayLine("Isle of Quel'Danas","",1,34489,nil,0,11543);--Flaming Oil(Keeping the Enemy at Bay)
DailyItem_AddArrayLine("Isle of Quel'Danas","Sun's Reach Harbor",1,34338,nil,0,11496);--Mana Remnants(The Sanctum Wards)
DailyItem_AddArrayLine("Isle of Quel'Danas","Sun's Reach Armory",1,34500,nil,0,11544);--Ata'mal Armament(Ata'mal Armaments)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Bloodoath",1,34489,nil,0,11542);--Flaming Oil(Intercept the Reinforcements)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Bloodoath",1,34489,nil,0,11543);--Flaming Oil(Keeping the Enemy at Bay)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawnchaser",1,34489,nil,0,11542);--Flaming Oil(Intercept the Reinforcements)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawnchaser",1,34489,nil,0,11543);--Flaming Oil(Keeping the Enemy at Bay)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawning Square",1,34533,nil,0,11547);--Astromancer's Crystal(Know Your Ley Lines)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawning Square",1,34414,"Emissary of Hate",0,11538);--Shattered Sun Banner(The Battle for the Sun's Reach Armory)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawning Square",1,34414,"Emissary of Hate",0,11537);--Shattered Sun Banner(The Battle Must Go On)
DailyItem_AddArrayLine("Isle of Quel'Danas","Greengill Coast",1,34533,nil,0,11547);--Astromancer's Crystal(Know Your Ley Lines)
DailyItem_AddArrayLine("Isle of Quel'Danas","Greengill Coast",1,34483,nil,0,11541);--Orb of Murloc Control(Disrupt the Greengill Coast)
DailyItem_AddArrayLine("Isle of Quel'Danas","Dawnstar Village",1,34533,nil,0,11547);--Astromancer's Crystal(Know Your Ley Lines)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dead Scar",1,34475,nil,0,11532);--Arcane Charges(Distraction at the Dead Scar)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dead Scar",1,34475,nil,0,11533);--Arcane Charges(The Air Strikes Must Continue)
DailyItem_AddArrayLine("Isle of Quel'Danas",nil,1,34368,"Erratic Sentry",0,11524);--Attuned Crystal Cores(Erratic Behavior)
DailyItem_AddArrayLine("Isle of Quel'Danas",nil,1,34368,"Erratic Sentry",0,11525);--Attuned Crystal Cores(Further Conversions)
DailyItem_AddArrayLine("Sholazar Basin","River's Heart",1,45902,nil,0,13830);--Phantom Ghostfish(The Ghostfish)
DailyItem_AddArrayLine("Tol Barad Peninsula","The Restless Front",1,62829,nil,0,27992);--Magnetised Scrap Collector(Magnets)
DailyItem_AddArrayLine("Tol Barad Peninsula","The Restless Front",1,62829,nil,0,28692);--Magnetised Scrap Collector(Magnets)
DailyItem_AddArrayLine("Twilight Highlands","Verrall River",1,62775,"Thundermar War Gryphon",1,27929);--Barbed Fleshhook(Drag 'em Down)
DailyItem_AddArrayLine("Twilight Highlands","Verrall River",1,62775,"Thundermar War Gryphon",1,28874);--Barbed Fleshhook(Hook 'em High)
DailyItem_AddArrayLine("Terokkar Forest","Razorthorn Rise",1,34255,nil,0,nil);--Razorthorn Flayer Gland()
DailyItem_AddArrayLine("The Storm Peaks","Fjorn's Anvil",1,42246,nil,0,12981);--Essence of Ice(Hot and Cold)
DailyItem_AddArrayLine("The Storm Peaks","Garm's Bane",1,46885,"Snowblind Follower",1,14090);--Weighted Net(Gormok Wants His Snobolds)
DailyItem_AddArrayLine("The Storm Peaks","Garm's Bane",1,46885,"Snowblind Follower",1,14141);--Weighted Net(Gormok Wants His Snobolds)
DailyItem_AddArrayLine("The Storm Peaks","Thunderfall",1,42164,nil,0,12977);--Hodir's Horn(Blowing Hodir's Horn)
DailyItem_AddArrayLine("The Storm Peaks","Valley of Ancient Winters",1,42769,"Wild Wyrm",1,13003);--Spear of Hodir(Thrusting Hodir's Spear)
DailyItem_AddArrayLine("The Storm Peaks","Valley of Ancient Winters",1,42479,"Corpse of the Fallen Worg",0,12994);--Ethereal Worg's Fang(Spy Hunter)
DailyItem_AddArrayLine("The Storm Peaks","Valley of Ancient Winters",1,42774,"Roaming Jormungar",0,13046);--Arngrim's Tooth(Feeding Arngrim)
DailyItem_AddArrayLine("The Storm Peaks","The Forlorn Mine",1,42837,"Exhausted Vrykul",1,12906);--Disciplining Rod(Discipline)
DailyItem_AddArrayLine("The Storm Peaks","The Pit of the Fang",1,42499,nil,0,13424);--Reins of the Warbear Matriarch(Back to the Pit)
DailyItem_AddArrayLine("The Storm Peaks","The Pit of the Fang",1,42499,nil,0,12997);--Reins of the Warbear Matriarch(Into the Pit)
DailyItem_AddArrayLine("The Storm Peaks",nil,0,46893,nil,1,14076);--Earthshaker Drum(Breakfast Of Champions)
DailyItem_AddArrayLine("The Storm Peaks",nil,0,46893,nil,1,14092);--Earthshaker Drum(Breakfast Of Champions)
DailyItem_AddArrayLine("Uldum","Tahret Grounds",1,63351,nil,0,28250);--Tahret Dynasty Mallet(Thieving Little Pluckers)
DailyItem_AddArrayLine("Zul'Drak","Drak'Sotra",1,38556,nil,0,12568);--Incinerating Oil(Troll Patrol: Done to Death)
DailyItem_AddArrayLine("Zul'Drak","Kolramas",1,38556,nil,0,12568);--Incinerating Oil(Troll Patrol: Done to Death)

-- The Occulus drakes

DailyItem_AddArrayLine(nil,nil,1,37815,nil,0,nil);--Emerald Essence()
DailyItem_AddArrayLine(nil,nil,1,37860,nil,0,nil);--Ruby Essence()
DailyItem_AddArrayLine(nil,nil,1,37859,nil,0,nil);--Amber Essence()

-- ToC Lances

DailyItem_AddArrayLine("Trial of the Champion",nil,1,46069,nil,0,nil);--Alliance Lance()
DailyItem_AddArrayLine("Trial of the Champion",nil,1,46070,nil,0,nil);--Horde Lance()
DailyItem_AddArrayLine("Trial of the Champion",nil,1,46106,nil,0,nil);--Argent Lance()

-- Now for items you will use again and again in PvP battles:

DailyItem_AddArrayLine("Strand of the Ancients",nil,1,39213,nil,0,nil);--Massive Seaforium Charge()
DailyItem_AddArrayLine("Wintergrasp",nil,1,42986,nil,0,nil);--The RP-GG()
DailyItem_AddArrayLine("Isle of Conquest",nil,1,46847,nil,0,nil);--Seaforium Bombs()
DailyItem_AddArrayLine("Isle of Conquest",nil,1,47030,nil,0,nil);--Huge Seaforium Bombs()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17690,nil,0,nil);--Frostwolf Insignia Rank 1()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17905,nil,0,nil);--Frostwolf Insignia Rank 2()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17906,nil,0,nil);--Frostwolf Insignia Rank 3()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17907,nil,0,nil);--Frostwolf Insignia Rank 4()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17908,nil,0,nil);--Frostwolf Insignia Rank 5()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17909,nil,0,nil);--Frostwolf Insignia Rank 6()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17691,nil,0,nil);--Stormpike Insignia Rank 1()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17900,nil,0,nil);--Stormpike Insignia Rank 2()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17901,nil,0,nil);--Stormpike Insignia Rank 3()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17902,nil,0,nil);--Stormpike Insignia Rank 4()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17903,nil,0,nil);--Stormpike Insignia Rank 5()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17904,nil,0,nil);--Stormpike Insignia Rank 6()

-- Other repeated stuff

DailyItem_AddArrayLine("Icecrown Citadel",nil,1,49278,nil,0,nil);--Goblin Rocket Pack(ICC Gunship)
DailyItem_AddArrayLine("Icecrown Citadel",nil,1,50851,nil,0,nil);--Pulsing Life Crystal(ICC Random Quest)
DailyItem_AddArrayLine("The Culling of Stratholme",nil,1,37888,nil,0,nil);--Arcane Disruptor(Culling of Stratholme)
DailyItem_AddArrayLine("Nagrand","Halaa",1,38556,nil,0,nil);--Incinerating Oil(Halaa)
DailyItem_AddArrayLine("Ulduar","Spark of Imagination",1,46029,nil,0,nil);--Magnetic Core(Ulduar Mimiron)

DailyItem_AddArrayLine("The Cape of Stranglethorn","Battle Ring",1,60387,nil,0,nil);--Gurubashi Challenge Flag()
DailyItem_AddArrayLine("Molten Front",nil,1,70925,nil,0,nil);--Eternal Lunar Pear(Agility)
DailyItem_AddArrayLine("Molten Front",nil,1,70924,nil,0,nil);--Eternal Eye of Elune(Intellect)
DailyItem_AddArrayLine("Molten Front",nil,1,70926,nil,0,nil);--Eternal Moonberry(Spirit)
DailyItem_AddArrayLine("Molten Front",nil,1,70927,nil,0,nil);--Eternal Sunfruit(strength)
DailyItem_AddArrayLine("Molten Front",nil,1,69832,"Druid of the Flame",2,29297);--Burd Sticker(Bye Bye Burdy)
DailyItem_AddArrayLine("Molten Front","Ashen Fields",1,69240,"Wounded Hyjal Defender",1,29138);--Enchanted Salve(Burn Victems)
DailyItem_AddArrayLine("Molten Front","Magma Springs",1,69759,nil,0,29263);--The Bitter Pill(A Bitter Pill)

DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",1,68997,nil,0,29126);--Guardian's Staff(The Power of Malorne)
DailyItem_AddArrayLine("Mount Hyjal",nil,0,69235,nil,1,29164);--Fang of the Wolf(Perfectng Your Howl)
DailyItem_AddArrayLine("Mount Hyjal",nil,0,69225,nil,1,29165);--Fang of the Wolf(Call of the Pack)
DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",1,69234,nil,0,29147);--Quill of the Bird-Queen(Call the Flock)
DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",1,69212,nil,0,29148);--Quill of the Bird-Queen(Wings Aflame)

DailyItem_AddArrayLine("City of Ironforge",nil,1,"Spice Bread","Cooking",16,29355);--Can't get enough spice bread()

DailyItem_AddArrayLine(nil,nil,1,72048,nil,0,29520);--Darkmoon Banner Kit(Banners, Banners Everywhere!)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72049,nil,0,29520);--Darkmoon Banner(Banners, Banners Everywhere!)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71978,"Injured Carnie",2,29512);--Darkmoon Bandage(Putting the Carnies Back Together Again)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72018,nil,0,29510);--Discarded Weapen(Putting Trash to good use)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72056,nil,0,29509);--Plump Frog(Putting the Crunch in the frog)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72057,nil,0,29509);--Breaded Frog(Putting the Crunch in the frog)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71967,nil,0,29508);--HorseShoe(Baby Needs Two Pair of Shoes)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71964,nil,0,29508);--Iron Stock(Baby Needs Two Pair of Shoes)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72052,nil,0,29516);--Bits of Glass(Keeping the Faire Sparkling)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71971,nil,0,29515);--Bundle of Exotic Herbs(Writing the Future)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71972,nil,0,29515);--Prophetic Ink(Writing the Future)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71977,nil,0,29517);--Darkmoon Craftsman's Kit(Eye on the Prizes)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72110,nil,0,29511);--Battered Wrench(Talkin Tonks)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72043,nil,0,29506);--Cocktail Shaker(A Fizzy Fusion)

DailyItem_AddArrayLine("Winterspring",nil,1,68646,nil,0,29034);--Winterspring Cub(They Grow up so Fast)
DailyItem_AddArrayLine("Winterspring",nil,1,68663,nil,0,29040);--Tough Yeit Hide(Cub's First Toy)
DailyItem_AddArrayLine("Winterspring",nil,1,68668,nil,0,29040);--Winterspring Cat Toy(Cub's First Toy)
DailyItem_AddArrayLine("Winterspring",nil,1,68663,nil,0,29051);--Tough Yeit Hide(Cub's First Toy)
DailyItem_AddArrayLine("Winterspring",nil,1,68668,nil,0,29051);--Winterspring Cat Toy(Cub's First Toy)
DailyItem_AddArrayLine("Winterspring",nil,1,12622,nil,0,29035);--Shardtooth Meat(A Cub's Cravings)
DailyItem_AddArrayLine("Winterspring",nil,1,12622,nil,0,29052);--Shardtooth Meat(A Cub's Cravings)
DailyItem_AddArrayLine("Winterspring",nil,1,68645,nil,0,29053);--Smoked Meat('Borrowing' From the Winterfall)
DailyItem_AddArrayLine("Winterspring",nil,1,68645,nil,0,29037);--Smoked Meat('Borrowing' From the Winterfall)
DailyItem_AddArrayLine(nil,nil,1,34833,nil,0,nil);--Unlit Torches(More Torch Catching)

DailyItem_AddArrayLine("Darnassus",nil,1,69904,nil,0,nil);--Uncooked Ribs(Rins for the Sentinals)
DailyItem_AddArrayLine("Darnassus",nil,1,69906,"Darnassus Sentinal",1,nil);--Delicous Ribs(Rins for the Sentinals)
DailyItem_AddArrayLine(nil,nil,1,34862,nil,0,nil);--Practice Torches(Torch Tossing)

DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46102,nil,0,13906);--Whistle of the Venomhide Ravasaur(They Grow up so Fast)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46381,nil,0,13914);--Searing Roc Plumage(Searing Roc Feathers)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46381,nil,0,13905);--Searing Roc Plumage(Searing Roc Feathers)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46367,nil,0,13889);--Fresh Dinosaur Meat(Hungry, Hungry Hatchling)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46367,nil,0,13915);--Fresh Dinosaur Meat(Hungry, Hungry Hatchling)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46380,nil,0,13903);--Silithid Meat(Gorishi Grub)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46380,nil,0,13917);--Silithid Meat(Gorishi Grub)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46382,nil,0,13904);--Silithid Egg(Poached, Scrambled, Or Raw?)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46382,nil,0,13916);--Silithid Egg(Poached, Scrambled, Or Raw?)
DailyItem_AddArrayLine("Firelands Hatchery","",1,52716,nil,0,25523);--Twilight Firelance(Flight in The firelands)
DailyItem_AddArrayLine("Firelands Hatchery","",1,52716,nil,0,29177);--Twilight Firelance(Vigilance on Wings)

DailyItem_AddArrayLine("The Jade Forest","Jade Temple Grounds",1,77475,"Yu'lon Guardian",3,30066);--Stack of Mantras(Hidden Power)
DailyItem_AddArrayLine("The Jade Forest","Jade Temple Grounds",1,77475,"Yu'lon Adept",1,30066);--Stack of Mantras(Hidden Power)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","The Golden Stair",1,89123,nil,0,31754);--Wu Kao Explosive(Cannonfire)
DailyItem_AddArrayLine("Dread Wastes","The Clutches of Shek'zeer",1,87394,nil,0,31487);--Sonic Disruption Fork(Sonic Disruption)
DailyItem_AddArrayLine("Dread Wastes","Terrace of Gurthan",1,82807,nil,0,31235);--Shado-Pan Dragon Gun(Nope Nope Nope)
DailyItem_AddArrayLine("Townlong Steppes","Niuzao Temple",1,82381,"Wounded Niuzao Sentinel",1,30953);--Yak's Milk Flask(Fallen Sentinels)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Mistfall Village",1,85782,nil,0,30192);--Mistfall Water Bucket(My Town)
DailyItem_AddArrayLine("Townlong Steppes","Shan'ze Dao",1,83134,"Shan'ze Cloudrunner",2,31061);--Bronze Claws(Riding the Storm)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Mistfall Village",1,85950,nil,0,30288);--Mistfall Water Bucket(My Town)
DailyItem_AddArrayLine("Townlong Steppes","Gai-Cho Battlefield",1,84762,nil,0,31119);--Highly Explosive Yaungol Oil(The Enemy of My Enemy... Is Still My Enemy!)
DailyItem_AddArrayLine("Krasarang Wilds",nil,1,80403,nil,0,30613);--Angler's Fishing Spear(Armored Carp)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Whitepetal Lake",1,89366,nil,0,30341);--Shado-Pan Flare(Under Watchful Eyes)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Jin Yang Road",1,79344,nil,0,30231);--Pomharvest Firework(Pomfruit Pickup)

DailyItem_AddArrayLine("The Jade Forest","Windward Isle",1,72985,"Injured Hatchling",2,30148);--Windwool Bandages(Just a Flesh Wond)
DailyItem_AddArrayLine("The Jade Forest","Windward Isle",1,72986,"Injured Hatchling",2,30148);--Heavy Windwool Bandages(Just a Flesh Wond)

DailyItem_AddArrayLine("Vale of Eternal Blossoms","The Emperor's Approach",1,84242,"Wounded Defender",1,30312);--Shado-Pan Bandages(Given a Second Chance)

DailyItem_AddArrayLine("Valley of the Four Winds","Kunzen Village",1,79885,nil,0,30337);--Barrel of Fireworks(Simian Sabotage)
DailyItem_AddArrayLine("Valley of the Four Winds","Skyrange",1,80127,nil,0,30330);--Shadelight Truffle Spores(The Truffle Shuffle)
DailyItem_AddArrayLine("Valley of the Four Winds","Kunzen Village",1,80127,nil,0,30330);--Shadelight Truffle Spores(The Truffle Shuffle)
DailyItem_AddArrayLine("Valley of the Four Winds","Kunzen Village",1,79895,nil,0,30331);--Master's Pot(The Mile-High Grub)
DailyItem_AddArrayLine("Valley of the Four Winds","The Heartland",1,nil,"Ugly Weed",2,30321);--(Weed Wares II)
DailyItem_AddArrayLine("Valley of the Four Winds","Kunzen Village",1,79895,nil,0,30331);--Master's Pot(The Mile-High Grub)
DailyItem_AddArrayLine(nil,nil,1,70727,nil,0,29375);--Arcane Cleanser(Cleanup in Undercity)

DailyItem_AddArrayLine("Stormwind City",nil,1,69191,nil,0,29144);--Arcane Cleanser(Cleanup in Stormwind)
DailyItem_AddArrayLine("Undercity","Ruins of Lordaeron",1,68648,nil,0,29371);--Dousing Agent(A Time to Lose)
DailyItem_AddArrayLine("Elwyn Forest",nil,1,68647,nil,0,29377);--Dousing Agent(A Time to Break Down)

DailyItem_AddArrayLine("Townlong Steppes","Sra'vess",1,86532,nil,0,31200);--Bag of Shado-Pan Gas Bombs([Fumigation])
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Ruins of Guo-Lai",1,85261,nil,0,30204);--Shado-Pan Torch(That's Not a Rock!)
DailyItem_AddArrayLine("Krasarang Wilds","Sandy Shallows",1,80599,nil,0,30678);--Goblin Fishing Bomb(Like Bombing Fish In A Barrel)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Whitepetal Lake",1,84781,nil,0,30282);--Shado-Pan Torch(Burning Away the Filth)
DailyItem_AddArrayLine("Krasarang Wilds","Sarjun Depths",1,80403,nil,0,30658);--Angler's Fishing Spear(Huff & Puff)
DailyItem_AddArrayLine("Valley of the Four Winds","The Heartland",1,nil,"Black-Nose Marmot",2,30319);--(Pest Problems)
DailyItem_AddArrayLine("Dread Wastes","Zan'vess",1,87841,nil,0,31507);--Korven's Experimental Grenades(Meltdown)

-- 5.1 Quests 
DailyItem_AddArrayLine("Krasarang Wilds","Domination Point",1,93187,nil,0,32154);--Unstable Explosive(Burn Out!)
DailyItem_AddArrayLine("Krasarang Wilds","Bilgewater Beach",1,93187,nil,0,32154);--Unstable Explosive(Burn Out!)
DailyItem_AddArrayLine("Krasarang Wilds","Quickchop's Lumber Farm",1,93180,"Jungle Shredder",1,32446);--Re-Configured Remote(Dis-Assembly Required)
DailyItem_AddArrayLine("Krasarang Wilds","Bilgewater Beach",1,93180,"Jungle Shredder",1,32446);--Re-Configured Remote(Dis-Assembly Required)

DailyItem_AddArrayLine("Krasarang Wilds",nil,1,80303,nil,0,30598);--Pristine Crane Egg(Who Knew Fish Liked Eggs)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","The Golden Stair",1,nil,"Lao Softfoot",2,31758);--(Laosy Scouting)

DailyItem_AddArrayLine("Vale of Eternal Blossoms","Ruins of Guo-Lai",1,85581,nil,0,30301);--Shado-Pan Torch(Offering a Warm Welcome)
DailyItem_AddArrayLine("Dread Wastes","Chittering Coast",1,85884,nil,0,31268);--Sonic Emitter(A Little Brain Work)
DailyItem_AddArrayLine("The Jade Forest","The Widow's Wail",1,88966,nil,0,31709);--Sha Attunement Device(Lingering Doubt)
DailyItem_AddArrayLine("Dread Wastes","Heart of Fear",1,87400,nil,0,31496);--Sap Jar(Sampling the Empire's Finest)
DailyItem_AddArrayLine("Townlong Steppes","Niuzao Temple",1,82346,nil,0,30959);--Pot of Fire(The Big Guns)
DailyItem_AddArrayLine("Valley of the Four Winds","The Heartland",0,nil,"Hillpaw's Chicken",1,30318);--(Chasing the Chicken)

-- 8.0.1 World Quests
DailyItem_AddArrayLine("Drustvar","Corlain",1,160557,"Cursed Gyrfalcon",1,nil);					-- Pungent Onion (A Smelly Solution)
DailyItem_AddArrayLine("Nazmir","Primal Wetlands",1,157847,nil,0,nil);							-- Firestick (Scorched Earth)
DailyItem_AddArrayLine("Nazmir","Primal Wetlands",1,159761,"Primal Skyterror",1,nil);			-- Grappling Hook (Uanccounted For)
-- DailyItem_AddArrayLine("Stormsong Valley","The Precipice of Oblivion",1,163212,nil,0,nil);				-- Cleansing Thurible (Misplaced Faith)
DailyItem_AddArrayLine("Stormsong Valley","Seawatch Point",1,160739,"7th Legion Bomber",1,nil);	-- Goblin Rocket Launcher (They Came From Behind!)
DailyItem_AddArrayLine("Tiragarde Sound","Freehold",1,154878,"Runaway Macaw",1,nil);			-- Rodrigo's Birdseed Biscuit (Polly Want A Cracker?)
DailyItem_AddArrayLine("Vol'dun","Redsilt Wash",1,159796,nil,0,nil);							-- Meatification Potion (Instant Meat, Ready to Eat)
DailyItem_AddArrayLine("Vol'dun","Arid Basin",1,160870,nil,0,nil);								-- Torch (Spider Scorching)
DailyItem_AddArrayLine("Zuldazar","Terrace of the Chosen",1,160307,"Zanchuli Acolyte",1,nil);	-- Raal's Hexing Stick (Hex Education)
DailyItem_AddArrayLine("Zuldazar","House of the Lost Loa",1,160307,"Zanchuli Acolyte",1,nil);	-- Raal's Hexing Stick (Hex Education)
DailyItem_AddArrayLine("Zuldazar","Warport Rastari",1,157858,nil,0,nil);						-- Rastari Skull Whistle (Rally the Rastari)

-- 8.2.0 World Quests (
DailyItem_AddArrayLine("Nazjatar",nil,1,168407,"Sandclaw Crab,Muck Creeper",1,55871);			-- Friendship Net (Gather Friends)
DailyItem_AddArrayLine("Nazjatar","Coral Forest",1,168253,"Fathom Ray,Coral Skate,Fathom Ray Broodkeeper,Bloated Sky Ray",1,55715);	-- Fathom Hook (Feed Them All)
DailyItem_AddArrayLine("Nazjatar","Spears of Azshara",1,168482,nil,0,55876);					-- Benthic Sealant (Plug the Geysers)
DailyItem_AddArrayLine("Nazjatar","Zin-Azshari",1,168482,nil,0,55878);							-- Benthic Sealant (Plug the Geysers)
DailyItem_AddArrayLine("Nazjatar","Zanj'ir Terrace",1,168753,nil,0,55967);						-- Chitterspine Roe (Sating Snapdragons - Horde)
DailyItem_AddArrayLine("Nazjatar","Zanj'ir Terrace",1,168753,nil,0,55600);						-- Chitterspine Roe (Sating Snapdragons - Alliance)
DailyItem_AddArrayLine("Nazjatar","Deepcoil Tunnels",1,168634,nil,0,55973);						-- Telemancy Beacon (Deepcoil Experiments)

DailyItem_AddArrayLine("Mechagon",nil,1,168183,nil,0,55575);									-- Rare Metal Collector (One Gnome's Trash)
DailyItem_AddArrayLine("Mechagon",nil,1,168813,"Clockwork Giant",1,55816);						-- Robotic-Memory Recorder (The Other Place)

end
--[[
This is the array containing the data: 

1 - Zone:- Zone you are in, nil  means it doesn't matter 
2 - SubZone:- Subzone you are in, nil  means it doesn't matter 
3 - Amount:- Number of the items needed
4 - Item:- Item number to search for in bags and equipped
5 - Target:- NPC that should be targeted
6 - Aim:- Whether to target the NPC if not already
	1 - Target
	2 - Only if living
7 - Quest:- Only use the item if quest is active and not completed (completed if neg)

The further down the list the higher the priority (by overwriting previous ones)
--]]
